//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 評価点登録画面処理
 * @author NEC
 * @version 1.0, 2002.07.23, 新規作成<BR>
 *          1.1, 2003.06.14, Ｖ３総合障害票192対応<BR>
 *          1.2, 2003.06.17, Ｖ３総合障害票213対応<BR>
 *          1.3, 2003.08.06, 連絡票072対応<BR>
 *          3.1, 2003.12.16, V3.1-総合-088対応<BR>
 */
//*************************************************************

//----------------------------------------------------
// HTML読込み時の初期処理
//----------------------------------------------------
function onStart()
{
  onLoad();
}

//----------------------------------------------------
// HTML読込み時の初期処理
//----------------------------------------------------
function registAssessmentPoint()
{
  var value = document.formProject.fullmarkPoint.value;
  
  if( value=="" )
  {
    alert( "評価点の満点が入力されていません.\n" );
    return;
  }
  if( Number(value)<=0 )
  {
    alert( "評価点の満点には0より大きい値を入力して下さい.\n" );
    return;
  }
  if( value.indexOf(".") > 0 && !isNaN(value) )
  {
    alert("評価点の満点を整数で入力してください.\n");
    return;
  }
  if( !checkNumber(value) || 0>Number(value) )
  {
    alert("評価点の満点を正しく入力して下さい.\n");
    return;
  }

  for( var i=0; ; i++ )
  {
    if( typeof(document.formHAS006["assessmentPoint_"+i])==typeof(undefined) )
      break;

    if( document.formProject["assessmentPoint_"+i].value=="" )
    {
      alert( "評価点が入力されていません.\n" );
      return;
    }

    if( Number(document.formProject["assessmentPoint_"+i].value)<=0 &&
        Number(document.formProject["projectCompanyStatusDetail_"+i].value) == "00")
    {
      alert( "資格ありの場合は、評価点には0より大きい値を入力して下さい.\n" );
      return;
    }

    if( document.formProject["assessmentPoint_"+i].value.indexOf(".") > 0 && !isNaN(document.formProject["assessmentPoint_"+i].value) )
    {
      alert("評価点を整数で入力してください.\n");
      return;
    }

    if( !checkNumber(document.formProject["assessmentPoint_"+i].value) || 0>Number(document.formProject["assessmentPoint_"+i].value) )
    {
      alert("評価点を正しく入力して下さい.\n");
      return;
    }

    document.formHAS006["assessmentPoint_"+i].value=document.formProject["assessmentPoint_"+i].value;
  }

  document.formHAS006.fullmarkPoint.value=document.formProject.fullmarkPoint.value;

  dispatch( document.formHAS006, "H568HTS029" );
}
